aboutsummaryrefslogtreecommitdiff
path: root/.github
diff options
context:
space:
mode:
authorAlois Klink <alois@aloisklink.com>2022-11-23 18:37:01 +0000
committerJosef Schlehofer <pepe.schlehofer@gmail.com>2022-12-08 10:55:52 +0100
commit18d3c529fa4ab8dafcf6c147cf3cb55792d8ca10 (patch)
tree64d0c37586c4940943094d1cf91d35fb8798c580 /.github
parent6703d7623097b591ea08c12e66351eed884e1005 (diff)
github-ci: error on any shell errors
Enable `errexit` and `nounset` [POSIX shell options][1] in `.github/workflows/entrypoint.sh` so that the script fails if any command within the script fails. [1]: https://pubs.opengroup.org/onlinepubs/9699919799//utilities/V3_chap02.html#set Reported-by: Marius Dinu <m95d+git@psihoexpert.ro> Fixes: https://github.com/openwrt/packages/issues/19953 Signed-off-by: Alois Klink <alois@aloisklink.com>
Diffstat (limited to '.github')
-rwxr-xr-x.github/workflows/entrypoint.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/.github/workflows/entrypoint.sh b/.github/workflows/entrypoint.sh
index 760410547..6af84b8e7 100755
--- a/.github/workflows/entrypoint.sh
+++ b/.github/workflows/entrypoint.sh
@@ -1,10 +1,14 @@
#!/bin/sh
+# not enabling `errtrace` and `pipefail` since those are bash specific
+set -o errexit # failing commands causes script to fail
+set -o nounset # undefined variables causes script to fail
+
mkdir -p /var/lock/
opkg update
-[ -n "$CI_HELPER" ] || CI_HELPER="/ci/.github/workflows/ci_helpers.sh"
+[ -n "${CI_HELPER:=''}" ] || CI_HELPER="/ci/.github/workflows/ci_helpers.sh"
for PKG in /ci/*.ipk; do
tar -xzOf "$PKG" ./control.tar.gz | tar xzf - ./control